Skip to main content
POST
/
v6
/
reports
/
form1120S
Form 1120-S
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/form1120S \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "year": 2025,
  "taxSetup": {
    "countryCode": "USA",
    "state": "DC",
    "filingStatus": {
      "federal": "SINGLE",
      "state": "SINGLE"
    },
    "annualW2Income": 1000000,
    "withholding": {
      "useWithholding": true,
      "federalWithholding": 100051,
      "stateWithholding": 100051
    },
    "numExemptions": 1,
    "tipIncome": 500000,
    "overtimeIncome": 300000,
    "homeOffice": {
      "useHomeOfficeDeduction": true,
      "homeOfficeArea": 250.5
    },
    "mileage": {
      "useEstimate": true,
      "estimate": 1000,
      "useMileageDeduction": false,
      "vehicleBusinessPercent": "49.9"
    },
    "expenses": {
      "useEstimate": true,
      "estimate": 55176
    },
    "income": {
      "useEstimate": true,
      "estimate": 55176
    },
    "isSetupComplete": true
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "url": "<string>",
    "meta": {
      "title": "<string>",
      "generatedOn": "2023-11-07T05:31:56Z",
      "generatedBy": "John Doe",
      "footerLine": "Generated by Tight"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
year
integer<int32>

Tax year for the form

Example:

2025

taxSetup
object

Override of the user's tax profile for the estimate calculation

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.